/* Importa la fuente Inter desde Google Fonts */
@import url('https://fonts.googleapis.com/css2?family=Kode+Mono&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Ubuntu", sans-serif;
}


header {
    display: flex;
    position: fixed;
    /* Fijar la posición */
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 70px;
    gap: 40rem;
    top: 0;
    /* Fijar en la parte superior */
    z-index: 1000;
    /* Para asegurar que esté sobre otros elementos */
    background-color: hsl(0, 0%, 0%);
    -webkit-backdrop-filter: blur(7px);
    backdrop-filter: blur(7px);
    color: rgb(170, 170, 170);

}

body {
    background-color: #000000;
}

a {
    text-decoration: none;
}

.nav {
    gap: 28rem;
    padding: 4rem 2rem 4rem 2rem;

}

.logo {
    max-width: 9rem;
    color: #ffffff;
}

.nav-list {
    list-style-type: none;
    display: flex;
    gap: 3rem;

}

.nav-list a {
    text-decoration: none;
    color: #ffffff;
}

.abrir-menu,
.cerrar-menu {
    display: none;
}

#container3D canvas {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100% !important;
    height: 550px !important;
}

@media screen and (max-width: 680px) {
    header {
        gap: 9rem;
        padding: 2rem;
        justify-content: space-between !important;
        -webkit-backdrop-filter: none;
        backdrop-filter: none;
    }

    .abrir-menu,
    .cerrar-menu {
        display: block;
        border: 0;
        font-size: 1.25rem;
        background-color: transparent;
        cursor: pointer;
        margin-bottom: 20px;
        animation: move 0.6s;
    }

    .abrir-menu {
        color: rgb(170, 170, 170);
        height: 100%;
    }

    .ocultar-menu-burguer {
        visibility: hidden;
    }

    .cerrar-menu {
        color: rgb(170, 170, 170);
        border-radius: 2px;
        margin-bottom: 25px !important;
        margin-left: 10px;
        gap: 2rem;

    }



    .ocultar-cerrar-menu {
        position: fixed;
    }

    .reiniciar-spin {
        animation: spin 1s ease;
    }

    .nav {
        width: 200px;
        opacity: 0;
        visibility: hidden;
        display: flex;
        flex-direction: column;
        align-items: end;
        gap: 2rem;
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        background: rgba(0, 0, 0, 0.945);
        padding: 20px;
        padding-right: 30px;
        box-shadow: 0 0 0 100vmax rgba(0, 0, 0, .5);
        transition: opacity .5s ease, visibility .5s ease;

    }

    .nav-visible {
        opacity: 1;
        visibility: visible;
        z-index: 999;
        overflow: hidden;
        position: fixed;
        /* transform: translateX(-100%); */
        animation: move 0.6s;
        opacity: 1;
        z-index: 5;
    }

    .nav-list {
        flex-direction: column;
        align-items: end;
    }

    .nav-list a {
        color: rgb(170, 170, 170);
    }

    .logo {
        max-width: 9rem;
    }

    #container3D canvas {
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 70px 0px;
        width: 100% !important;
        height: 425px !important;
    }
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}